<?php

require_once "config.php";

header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];

switch ($method) {
    case 'GET':
        $cemail = $_GET['cemail'];
        $cpassword = encode($_GET["cpassword"]);
        $conn->query("DELETE FROM tbtmpwa WHERE cnotelp = '$cemail'");
        $conn->query("UPDATE tbmember SET cpassword = '$cpassword' WHERE cnohp = '$cemail'");
        http_response_code(200);
        echo json_encode(['message' => 'Berhasil Set Password']);
        
    break;
    case 'PUT':
        $data = json_decode(file_get_contents('php://input'), true);
        try {
            $cemail = $data['cemail'];
            $cotp = $data['cotp'];
            
            // Verifikasi apakah pengguna memiliki cstatus = 1
            $cek = $conn->query("SELECT lstatus FROM tbtmpwa WHERE cnotelp = '$cemail' AND cotp = '$cotp' AND lstatus = 0 LIMIT 1");
            
            if ($cek->num_rows > 0) {
                $dcek = $cek->fetch_assoc();
                // Jika status pengguna sudah aktif, kirimkan pesan bahwa pengguna sudah menjadi member
                http_response_code(200);
                echo json_encode(['message' => 'Pengguna sudah menjadi member']);
            } else {
                // Jika pengguna tidak memiliki cstatus = 1 atau OTP tidak cocok dengan yang tersimpan dalam database, kirimkan pesan kesalahan
                http_response_code(403);
                echo json_encode(['message' => 'Kode OTP Salah atau Status pengguna tidak aktif']);
            }
        } catch (Exception $e) {
            // Tangani kesalahan jika terjadi
            http_response_code(500);
            echo json_encode(['message' => 'Terjadi kesalahan dalam pemrosesan', 'error' => $e->getMessage()]);
        }
        break;

    default:
        http_response_code(405);
        echo json_encode(['message' => 'Metode tidak diizinkan']);
        break;
}

?>
